<?
if($ku['action_time']>$time)$skidka = 1;
////////////////////////////////////////////Склад удобрений//////////////////////////////////////////////////
if(isset($_GET['soil']))
{
if(isset($mc) && $mc['id']==$ct['id'] && $mcu['status']==1 && $ct['soil']<40)
{
if($ct['soil']==0)$cena=15000;
if($ct['soil']>=1 && $ct['soil']<=12)$cena=50000;
if($ct['soil']>=13)$cena=100000;
if($ct['soil']>=14)$cena=150000;
if($ct['soil']>=15)$cena=200000;
if($ct['soil']>=16)$cena=250000;
if($ct['soil']>=17)$cena=300000;
if($ct['soil']>=18)$cena=350000;
if($ct['soil']>=19)$cena=400000;
if($ct['soil']>=20)$cena=450000;
if($ct['soil']>=21)$cena=500000;
if($ct['soil']>=22)$cena=550000;
if($ct['soil']>=23)$cena=600000;
if($ct['soil']>=24)$cena=6500000;
if($ct['soil']>=25)$cena=7000000;
if($ct['soil']>=26)$cena=7500000;
if($ct['soil']>=27)$cena=8000000;
if($ct['soil']>=28)$cena=8500000;
if($ct['soil']>=29)$cena=9000000;
if($ct['soil']>=30)$cena=9500000;
///////////////////////
if($ct['soil']==30)$cena=10000000;
if($ct['soil']==31)$cena= 20000000;
if($ct['soil']==32)$cena= 30000000;
if($ct['soil']==33)$cena= 35000000;
if($ct['soil']==34)$cena= 40000000;
if($ct['soil']==35)$cena= 50000000;
if($ct['soil']==36)$cena= 55000000;
if($ct['soil']==37)$cena= 60000000;
if($ct['soil']==38)$cena= 75000000;
if($ct['soil']==39)$cena= 100000000;

////////////////////////////////////
if($skidka==1)$cena=floor($cena/2);
if($ct['soil']==0)$rating=7500000000;else $rating=0;
if(isset($_GET['level'])){



if(isset($_GET['ok'])){
if($ct['soil']<30){
if($ct['rubies']>=$cena){ 
mysql_query("UPDATE `kolhoz_collective` SET `rubies` = '".($mc['rubies']-$cena)."',`rubies_cop` = '".($mc['rubies_cop']-$cena)."', `rating` = '".($mc['rating']+$rating)."',`soil` = '".($mc['soil']+1)."' WHERE `id` = '$mc[id]'");
header("Location:/collective-$ct[id]/buildings/soil/".passgen());
}else{ 
no_rubies_ct($cena-$ct['rubies']);}}else{
if($ct['rubies']>=$cena){ 
mysql_query("UPDATE `kolhoz_collective` SET `rubies` = '".($mc['rubies']-$cena)."',`rating` = '".($mc['rating']+$rating)."',`soil` = '".($mc['soil']+1)."' WHERE `id` = '$mc[id]'");
header("Location:/collective-$ct[id]/buildings/soil/".passgen());
}else{ 
no_rubies_ct($cena-$ct['rubies']);}}
}



$lrl = ($ct['soil']+1);
require_header ("Подтверждение","ct_build","$ct[id]");
echo "<div class='content'><ul class='block'><li><span>".($ku['soiler']==0?"Покупка":"Прокачка")."</span>: <span><span class='epic'>Склад удобрений</span>".($ct['soil']>0?", повышение уровня до $lrl":null)."</span><br/><span>цена</span>: <span>".($ct['soil']<30?"<img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span class='title'>$cena</span>":"<img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span class='title'>$cena</span>")."</span></li><li class='pt'><img alt='*' width='16' height='16' src='/images/icons/tick.png'> <a href='/collective-$ct[id]/buildings/soil/level/ok'><span>Да, подтверждаю</span></a></li><li><img alt='*' width='16' height='16' src='/images/icons/cross.png'> <a href='/collective-$ct[id]/buildings/soil'><span>Нет, отказываюсь</span></a></li></ul>";
include_once 'inc/foot.php';}
}
require_header ("Склад удобрений","ct_build","$ct[id]");

echo"<div class='content'><div class='block'>";
echo"<div><span class='epic'>Склад удобрений</span> - усиливает эффект удобрителя.
<div style='clear:both'></div>
<h3>Эффект</h3>
<div class='title'>
Увеличивает силу удобрителя на 5% за каждый уровень.
</div>
<h3>Например</h3>
<div class='minor'>
Удобритель 20-го уровня даёт 520%, 1 уровень склада удобрений даст 520% * 1.05 = 546%, а 20-й уровень склада даст 520% * 2 = 1040%).
</div>
</div>";
echo"<div class='title'>При постройке увеличивает колхозный опыт на <span>7,5</span> млрд.</div>";
echo"<div style='clear:both;'></div>";
if(isset($mc) && $mc['id']==$ct['id'] && $mcu['status']==1)if($ct['soil']<40)echo "<div><a href='/collective-$ct[id]/buildings/soil/level'>".($ct['soil']==0?"Купить":"Повысить уровень")."</a> <span class='minor'>(цена <span>".($ct['soil']<30?"<img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span class='title'>$cena</span>":"<img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span class='title'>$cena</span>")."</span>)</span></div>";

if($ct['soil']>0)echo '<div class="pt">
Текущий уровень: <span class="title">'.$ct['soil'].'</span> / <span>40</span><br></div>';

echo"<div class='pt'><img width='16' height='16' src='/images/icons/guild.png' alt='*'> <a href='/collective-$ct[id]/buildings'>Постройки</a></div>";
echo"</div>";
include_once 'inc/foot.php';
}
///////ВЕТ/////////////////////

if(isset($_GET['vet']))
{
if($ct['vet']==0)$cena=15000;
if($ct['vet']>=1 && $ct['vet']<=12)$cena=50000;
if($ct['vet']>=13)$cena=100000;
if($ct['vet']>=14)$cena=150000;
if($ct['vet']>=15)$cena=200000;
if($ct['vet']>=16)$cena=250000;
if($ct['vet']>=17)$cena=300000;
if($ct['vet']>=18)$cena=350000;
if($ct['vet']>=19)$cena=400000;
if($ct['vet']>=20)$cena=450000;
if($ct['vet']>=21)$cena=500000;
if($ct['vet']>=22)$cena=550000;
if($ct['vet']>=23)$cena=600000;
if($ct['vet']>=24)$cena=650000;
if($ct['vet']>=25)$cena=700000;
if($ct['vet']>=26)$cena=750000;
if($ct['vet']>=27)$cena=800000;
if($ct['vet']>=28)$cena=850000;
if($ct['vet']>=29)$cena=900000;
if($ct['vet']>=30)$cena=950000;
///////////////////////
if($ct['vet']==30)$cena=1000000;
if($ct['vet']==31)$cena= 2000000;
if($ct['vet']==32)$cena= 3000000;
if($ct['vet']==33)$cena= 3500000;
if($ct['vet']==34)$cena= 4000000;
if($ct['vet']==35)$cena= 5000000;
if($ct['vet']==36)$cena= 5500000;
if($ct['vet']==37)$cena= 6000000;
if($ct['vet']==38)$cena= 7500000;
if($ct['vet']==39)$cena= 10000000;


////////////////////////////////////
if($skidka==1)$cena=floor($cena/2);
if($ct['vet']==0)$rating=7500000000;else $rating=0;
if(isset($mc) && $mc['id']==$ct['id'] && $mcu['status']==1 && $ct['vet']<40)
{
if(isset($_GET['level']))
{





if(isset($_GET['ok'])){
if($ct['vet']<30){
if($ct['rubies']>=$cena){ 
mysql_query("UPDATE `kolhoz_collective` SET `rubies` = '".($mc['rubies']-$cena)."',`rubies_cop` = '".($mc['rubies_cop']-$cena)."', `rating` = '".($mc['rating']+$rating)."',`vet` = '".($mc['vet']+1)."' WHERE `id` = '$mc[id]'");
header("Location:/collective-$ct[id]/buildings/vet/".passgen());
}else{ 
no_rubies_ct($cena-$ct['rubies']);}}else{
if($ct['rubies']>=$cena){ 
mysql_query("UPDATE `kolhoz_collective` SET `rubies` = '".($mc['rubies']-$cena)."',`rating` = '".($mc['rating']+$rating)."',`vet` = '".($mc['vet']+1)."' WHERE `id` = '$mc[id]'");
header("Location:/collective-$ct[id]/buildings/vet/".passgen());
}else{ 
no_rubies_ct($cena-$ct['rubies']);}}
}


$lrl = ($ct['vet']+1);
require_header ("Подтверждение","ct_build","$ct[id]");
echo "<div class='content'><ul class='block'><li><span>".($ku['vet']==0?"Покупка":"Прокачка")."</span>: <span><span class='epic'>Ветеринарная
клиника</span>".($ct['vet']>0?", повышение уровня до $lrl":null)."</span><br/><span>цена</span>: <span>".($ct['vet']<30?"<img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span class='title'>$cena</span>":"<img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span class='title'>$cena</span>")."</span></li><li class='pt'><img alt='*' width='16' height='16' src='/images/icons/tick.png'> <a href='/collective-$ct[id]/buildings/vet/level/ok'><span>Да, подтверждаю</span></a></li><li><img alt='*' width='16' height='16' src='/images/icons/cross.png'> <a href='/collective-$ct[id]/buildings/vet'><span>Нет, отказываюсь</span></a></li></ul>";
include_once 'inc/foot.php';}


}
require_header ("Ветеринарная
клиника","ct_build","$ct[id]");

echo '<div class="content">
<div class="block">
<div>
<span class="epic">Ветеринарная клиника</span> - клиника для животных.
<div style="clear:both"></div>
<h3>Эффект</h3>
<div class="title">
Увеличивает опыт и доход с животных.<br>
Опыт увеличивается на (уровень * 25%).<br>
Доход увеличивается на (уровень * 10%).
</div>
</div>
<div class="title">При постройке увеличивает колхозный опыт на <span>7,5</span> млрд.</div>
<div style="clear:both;"></div>';
if(isset($mc) && $mc['id']==$ct['id'] && $mcu['status']==1)if($ct['vet']<40)echo "<div><a href='/collective-$ct[id]/buildings/vet/level'>".($ct['vet']==0?"Купить":"Повысить уровень")."</a> <span class='minor'>(цена <span>".($ct['vet']<30?"<img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span class='title'>$cena</span>":"<img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span class='title'>$cena</span>")."</span>)</span></div>";

if($ct['vet']>0)echo '<div class="pt">
Текущий уровень: <span class="title">'.$ct['vet'].'</span> / <span>40</span><br></div>';
echo '<div class="pt">
<img width="16" height="16" src="images/icons/guild.png" alt="*"> <a href="/collective-'.$ct['id'].'/buildings">Постройки</a>
</div>
</div>';
include_once 'inc/foot.php';
}




/////////////////////////////////////////////////////////////////Оросительная система///////////////////////////////////////////////////////////////////
if(isset($_GET['irrigate']))
{
if($ct['irrigate']==0)$cena=15000;
if($ct['irrigate']>=1 && $ct['irrigate']<=12)$cena=50000;
if($ct['irrigate']>=13)$cena=100000;
if($ct['irrigate']>=14)$cena=150000;
if($ct['irrigate']>=15)$cena=200000;
if($ct['irrigate']>=16)$cena=250000;
if($ct['irrigate']>=17)$cena=300000;
if($ct['irrigate']>=18)$cena=350000;
if($ct['irrigate']>=19)$cena=400000;
if($ct['irrigate']>=20)$cena=450000;
if($ct['irrigate']>=21)$cena=500000;
if($ct['irrigate']>=22)$cena=550000;
if($ct['irrigate']>=23)$cena=600000;
if($ct['irrigate']>=24)$cena=650000;
if($ct['irrigate']>=25)$cena=700000;
if($ct['irrigate']>=26)$cena=7500000;
if($ct['irrigate']>=27)$cena=8000000;
if($ct['irrigate']>=28)$cena=8500000;
if($ct['irrigate']>=29)$cena=9000000;
if($ct['irrigate']>=30)$cena=9500000;
///////////////////////
if($ct['irrigate']==30)$cena=10000000;
if($ct['irrigate']==31)$cena= 20000000;
if($ct['irrigate']==32)$cena= 30000000;
if($ct['irrigate']==33)$cena= 35000000;
if($ct['irrigate']==34)$cena= 40000000;
if($ct['irrigate']==35)$cena= 50000000;
if($ct['irrigate']==36)$cena= 55000000;
if($ct['irrigate']==37)$cena= 60000000;
if($ct['irrigate']==38)$cena= 75000000;
if($ct['irrigate']==39)$cena= 100000000;

////////////////////////////////////


if($skidka==1)$cena=floor($cena/2);
if($ct['irrigate']==0)$rating=7500000000;else $rating=0;
if(isset($mc) && $mc['id']==$ct['id'] && $mcu['status']==1 && $ct['irrigate']<40)
{
if(isset($_GET['level'])){



if(isset($_GET['ok'])){
if($ct['irrigate']<30){
if($ct['rubies']>=$cena){ 
mysql_query("UPDATE `kolhoz_collective` SET `rubies` = '".($mc['rubies']-$cena)."',`rubies_cop` = '".($mc['rubies_cop']-$cena)."', `rating` = '".($mc['rating']+$rating)."',`irrigate` = '".($mc['irrigate']+1)."' WHERE `id` = '$mc[id]'");
header("Location:/collective-$ct[id]/buildings/irrigate/".passgen());
}else{ 
no_rubies_ct($cena-$ct['rubies']);}}else{
if($ct['rubies']>=$cena){ 
mysql_query("UPDATE `kolhoz_collective` SET `rubies` = '".($mc['rubies']-$cena)."',`rating` = '".($mc['rating']+$rating)."',`irrigate` = '".($mc['irrigate']+1)."' WHERE `id` = '$mc[id]'");
header("Location:/collective-$ct[id]/buildings/irrigate/".passgen());
}else{ 
no_rubies_ct($cena-$ct['rubies']);}}
}

$lrl = ($ct['irrigate']+1);
require_header ("Подтверждение","ct_build","$ct[id]");
echo "<div class='content'><ul class='block'><li><span>".($ku['soiler']==0?"Покупка":"Прокачка")."</span>: <span><span class='epic'>Оросительная система</span>".($ct['irrigate']>0?", повышение уровня до $lrl":null)."</span><br/><span>цена</span>: <span>".($ct['irrigate']<30?"<img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span class='title'>$cena</span>":"<img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span class='title'>$cena</span>")."</span></li><li class='pt'><img alt='*' width='16' height='16' src='/images/icons/tick.png'> <a href='/collective-$ct[id]/buildings/irrigate/level/ok'><span>Да, подтверждаю</span></a></li><li><img alt='*' width='16' height='16' src='/images/icons/cross.png'> <a href='/collective-$ct[id]/buildings/irrigate'><span>Нет, отказываюсь</span></a></li></ul>";
include_once 'inc/foot.php';}
}

require_header ("Оросительная система","ct_build","$ct[id]");
echo '<div class="content">
<div class="block">
<div>
<span class="epic">Оросительная система</span> - система для подвода воды на поля, испытывающие недостаток влаги, и увеличения её запасов в корнеобитаемом слое почвы в целях увеличения плодородия почвы. Орошение является одним из видов мелиорации. Орошение улучшает снабжение корней растений влагой и питательными веществами, снижает температуру приземного слоя воздуха и увеличивает его влажность.
<div style="clear:both"></div>
<h3>Эффект</h3>
<div class="title">
Дает постоянный эффект аналогичный Гидропонике (уровень * 10%).
</div>
</div>
<div class="title">При постройке увеличивает
колхозный опыт на <span>7,5</span> млрд.</div>
<div style="clear:both;"></div>';
if(isset($mc) && $mc['id']==$ct['id'] && $mcu['status']==1)if($ct['irrigate']<40)echo "<div><a href='/collective-$ct[id]/buildings/irrigate/level'>".($ct['irrigate']==0?"Купить":"Повысить уровень")."</a> <span class='minor'>(цена <span>".($ct['irrigate']<30?"<img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span class='title'>$cena</span>":"<img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span class='title'>$cena</span>")."</span>)</span></div>";

if($ct['irrigate']>0)echo '<div class="pt">
Текущий уровень: <span class="title">'.$ct['irrigate'].'</span> / <span>40</span><br></div>';
echo '<div class="pt">
<img width="16" height="16" src="images/icons/guild.png" alt="*"> <a href="/collective-'.$ct['id'].'/buildings">Постройки</a>
</div>
</div>';
include_once 'inc/foot.php';
}


//////////////////////////////////////////////////////////////Школа////////////////////////////////////////////////////////////////////////
if(isset($_GET['school']))
{
if($ct['school']==0)$cena=10000;else $cena=25000;
///////////////////////
if($ct['school']==30)$cena=50000;
if($ct['school']==31)$cena=100000;
if($ct['school']==32)$cena=250000;
if($ct['school']==33)$cena=500000;
if($ct['school']==34)$cena=1000000;
if($ct['school']==35)$cena=2500000;
if($ct['school']==36)$cena=3000000;
if($ct['school']==37)$cena=10000000;
if($ct['school']==38)$cena=25000000;
if($ct['school']==39)$cena=50000000;

////////////////////////////////////
if($skidka==1)$cena=floor($cena/2);
if($ct['school']==0)$rating=5000000000;else $rating=0;
if(isset($mc) && $mc['id']==$ct['id'] && $mcu['status']==1 && $ct['school']<40)
{
if(isset($_GET['level'])){


if(isset($_GET['ok'])){
if($ct['school']<30){
if($ct['rubies']>=$cena){ 
mysql_query("UPDATE `kolhoz_collective` SET `rubies` = '".($mc['rubies']-$cena)."',`rubies_cop` = '".($mc['rubies_cop']-$cena)."', `rating` = '".($mc['rating']+$rating)."',`school` = '".($mc['school']+1)."' WHERE `id` = '$mc[id]'");
header("Location:/collective-$ct[id]/buildings/school/".passgen());
}else{ 
no_rubies_ct($cena-$ct['rubies']);}}else{
if($ct['rubies']>=$cena){ 
mysql_query("UPDATE `kolhoz_collective` SET `rubies` = '".($mc['rubies']-$cena)."',`rating` = '".($mc['rating']+$rating)."',`school` = '".($mc['school']+1)."' WHERE `id` = '$mc[id]'");
header("Location:/collective-$ct[id]/buildings/school/".passgen());
}else{ 
no_rubies_ct($cena-$ct['rubies']);}}
}





$lrl = ($ct['school']+1);
require_header ("Подтверждение","ct_build","$ct[id]");
echo "<div class='content'><ul class='block'><li><span>".($ku['school']==0?"Покупка":"Прокачка")."</span>: <span><span class='epic'>Общеобразовательная школа</span>".($ct['school']>0?", повышение уровня до $lrl":null)."</span><br/><span>цена</span>: <span>".($ct['school']<30?"<img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span class='title'>$cena</span>":"<img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span class='title'>$cena</span>")."</span></li><li class='pt'><img alt='*' width='16' height='16' src='/images/icons/tick.png'> <a href='/collective-$ct[id]/buildings/school/level/ok'><span>Да, подтверждаю</span></a></li><li><img alt='*' width='16' height='16' src='/images/icons/cross.png'> <a href='/collective-$ct[id]/buildings/school'><span>Нет, отказываюсь</span></a></li></ul>";
include_once 'inc/foot.php';}

}
require_header ("Общеобразовательная школа","ct_build","$ct[id]");

echo '<div class="content">
<div class="block">
<div>
<span class="epic">Общеобразовательная школа</span> - учебное заведение для получения среднего образования.
<div style="clear:both"></div>
<h3>Эффект</h3>
<div class="title">
Повышает получаемый базовый опыт колхозников на 100%.<br>
Бонус действует только на колхозников, уровень которых не превышает (20 + уровень школы * 2).
</div>
</div>
<div class="title">При постройке увеличивает колхозный опыт на <span>5</span> млрд.</div>
<div style="clear:both;"></div>';
if(isset($mc) && $mc['id']==$ct['id'] && $mcu['status']==1)if($ct['school']<40)echo "<div><a href='/collective-$ct[id]/buildings/school/level'>".($ct['school']==0?"Купить":"Повысить уровень")."</a> <span class='minor'>(цена <span>".($ct['school']<30?"<img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span class='title'>$cena</span>":"<img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span class='title'>$cena</span>")."</span>)</span></div>";

if($ct['school']>0)echo '<div class="pt">
Текущий уровень: <span class="title">'.$ct['school'].'</span> / <span>40</span><br></div>';

echo '<div class="pt">
<img width="16" height="16" src="images/icons/guild.png" alt="*"> <a href="/collective-'.$ct['id'].'/buildings">Постройки</a>
</div>
</div>';
include_once 'inc/foot.php';
}

//////////////////////////////////////////////////////Банк///////////////////////////////////////////////////
if(isset($_GET['bank']))
{
if($ct['bank']==0)$cena=15000;
if($ct['bank']>=1 && $ct['bank']<=12)$cena=50000;
if($ct['bank']>=13)$cena=100000;
if($ct['bank']>=14)$cena=150000;
if($ct['bank']>=15)$cena=200000;
if($ct['bank']>=16)$cena=250000;
if($ct['bank']>=17)$cena=300000;
if($ct['bank']>=18)$cena=350000;
if($ct['bank']>=19)$cena=400000;
if($ct['bank']>=20)$cena=450000;
if($ct['bank']>=21)$cena=500000;
if($ct['bank']>=22)$cena=550000;
if($ct['bank']>=23)$cena=600000;
if($ct['bank']>=24)$cena=6500000;
if($ct['bank']>=25)$cena=7000000;
if($ct['bank']>=26)$cena=7500000;
if($ct['bank']>=27)$cena=8000000;
if($ct['bank']>=28)$cena=8500000;
if($ct['bank']>=29)$cena=9000000;
if($ct['bank']>=30)$cena=9500000;
///////////////////////
if($ct['bank']==30)$cena=10000000;
if($ct['bank']==31)$cena= 20000000;
if($ct['bank']==32)$cena= 30000000;
if($ct['bank']==33)$cena= 35000000;
if($ct['bank']==34)$cena= 40000000;
if($ct['bank']==35)$cena= 50000000;
if($ct['bank']==36)$cena= 55000000;
if($ct['bank']==37)$cena= 60000000;
if($ct['bank']==38)$cena= 75000000;
if($ct['bank']==39)$cena= 100000000;

////////////////////////////////////
if($skidka==1)$cena=floor($cena/2);
if($ct['bank']==0)$rating=7500000000;else $rating=0;
if(isset($mc) && $mc['id']==$ct['id'] && $mcu['status']==1 && $ct['bank']<40)
{
if(isset($_GET['level'])){




if(isset($_GET['ok'])){
if($ct['bank']<30){
if($ct['rubies']>=$cena){ 
mysql_query("UPDATE `kolhoz_collective` SET `rubies` = '".($mc['rubies']-$cena)."',`rubies_cop` = '".($mc['rubies_cop']-$cena)."', `rating` = '".($mc['rating']+$rating)."',`bank` = '".($mc['bank']+1)."' WHERE `id` = '$mc[id]'");
header("Location:/collective-$ct[id]/buildings/bank/".passgen());
}else{ 
no_rubies_ct($cena-$ct['rubies']);}}else{
if($ct['rubies']>=$cena){ 
mysql_query("UPDATE `kolhoz_collective` SET `rubies` = '".($mc['rubies']-$cena)."',`rating` = '".($mc['rating']+$rating)."',`bank` = '".($mc['bank']+1)."' WHERE `id` = '$mc[id]'");
header("Location:/collective-$ct[id]/buildings/bank/".passgen());
}else{ 
no_rubies_ct($cena-$ct['rubies']);}}
}










$lrl = ($ct['bank']+1);
require_header ("Подтверждение","ct_build","$ct[id]");
echo "<div class='content'><ul class='block'><li><span>".($ku['bank']==0?"Покупка":"Прокачка")."</span>: <span><span class='epic'> Банк</span>".($ct['bank']>0?", повышение уровня до $lrl":null)."</span><br/><span>цена</span>: <span>".($ct['bank']<30?"<img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span class='title'>$cena</span>":"<img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span class='title'>$cena</span>")."</span></li><li class='pt'><img alt='*' width='16' height='16' src='/images/icons/tick.png'> <a href='/collective-$ct[id]/buildings/bank/level/ok'><span>Да, подтверждаю</span></a></li><li><img alt='*' width='16' height='16' src='/images/icons/cross.png'> <a href='/collective-$ct[id]/buildings/bank'><span>Нет, отказываюсь</span></a></li></ul>";
include_once 'inc/foot.php';}


}
require_header ("Банк","ct_build","$ct[id]");

echo '<div class="content">
<div class="block">
<div>
<span class="epic">Банк</span> - финансово-кредитное учреждение, производящее разнообразные виды операций с деньгами и ценными бумагами и оказывающее финансовые услуги правительству, юридическим и физическим лицам.
<div style="clear:both"></div>
<h3>Эффект</h3>
<div class="title">
Даёт дополнительные рубины при покупке (уровень * 5%).
</div>
</div>
<div class="title">При постройке увеличивает колхозный опыт на <span>7,5</span> млрд.</div>
<div style="clear:both;"></div>';
if(isset($mc) && $mc['id']==$ct['id'] && $mcu['status']==1)if($ct['bank']<40)echo "<div><a href='/collective-$ct[id]/buildings/bank/level'>".($ct['bank']==0?"Купить":"Повысить уровень")."</a> <span class='minor'>(цена <span>".($ct['bank']<30?"<img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span class='title'>$cena</span>":"<img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span class='title'>$cena</span>")."</span>)</span></div>";

if($ct['bank']>0)echo '<div class="pt">
Текущий уровень: <span class="title">'.$ct['bank'].'</span> / <span>40</span><br></div>';
echo '<div class="pt">
<img width="16" height="16" src="images/icons/guild.png" alt="*"> <a href="/collective-'.$ct['id'].'/buildings">Постройки</a>
</div>
</div>';
include_once 'inc/foot.php';
}

///////////////////////////////////////////////////Библиотека/////////////////////////////////////////////////////
if(isset($_GET['lib']))
{
$cena=5000;
if($skidka==1)$cena=floor($cena/2);
if($ct['lib']==0)$rating=2500000000;else $rating=0;
if(isset($mc) && $mc['id']==$ct['id'] && $mcu['status']==1 && $ct['lib']==0)
{
if(isset($_GET['level']))
{
if(isset($_GET['ok']))
{
if($mc['rubies']>=$cena)
{
mysql_query("UPDATE `kolhoz_collective` SET `rubies` = '".($mc['rubies']-$cena)."',`rubies_cop` = '".($mc['rubies_cop']-$cena)."', `rating` = '".($mc['rating']+$rating)."', `lib` = '".($mc['lib']+1)."' WHERE `id` = '$mc[id]'");
header("Location:/collective-$ct[id]/buildings/lib/".passgen());
exit;
}
else
{
echo no_rubies_ct($cena-$mc['rubies']);
}
}
echo podtv("/collective-$ct[id]/buildings/lib/level/ok","/collective-$ct[id]/buildings/lib");
include_once 'inc/foot.php';
}
}
echo "<div class='event'><h1><a href='/collective-$ct[id]/buildings'>Постройки</a> / Библиотека</h1></div>";
echo '<div class="content">
<div class="block">
<div>
<span class="epic">Библиотека</span> - архив литературных произведений великих
писателей.
<div style="clear:both"></div>
<h3>Эффект</h3>
<div class="title">
Повышает получаемый базовый опыт всех колхозников на 50%.
</div>
</div>
<div class="title">При постройке увеличивает колхозный опыт на <span>2,5</span> млрд.</div>
<div style="clear:both;"></div>';
if(isset($mc) && $mc['id']==$ct['id'] && $mcu['status']==1)if($ct['lib']==0)echo "<div><a href='/collective-$ct[id]/buildings/lib/level'>Купить</a> <span class='minor'>(цена <span><img width='16' height='16' src='images/icons/ruby.png' alt='*'> <span class='title'>$cena</span></span>)</span></div>";

echo '<div class="pt">
<img width="16" height="16" src="images/icons/guild.png" alt="*"> <a href="/collective-'.$ct['id'].'/buildings">Постройки</a>
</div>
</div>';
include_once 'inc/foot.php';
}
/////////////////////////////////////////////////Теплица/////////////////////////////////////////////////////
if(isset($_GET['greenhouse']))
{
if($ct['greenhouse']==0)$cena=15000;
if($ct['greenhouse']>=1 && $ct['greenhouse']<=12)$cena=50000;
if($ct['greenhouse']>=13)$cena=100000;
if($ct['greenhouse']>=14)$cena=150000;
if($ct['greenhouse']>=15)$cena=200000;
if($ct['greenhouse']>=16)$cena=250000;
if($ct['greenhouse']>=17)$cena=300000;
if($ct['greenhouse']>=18)$cena=350000;
if($ct['greenhouse']>=19)$cena=400000;
if($ct['greenhouse']>=20)$cena=450000;
if($ct['greenhouse']>=21)$cena=500000;
if($ct['greenhouse']>=22)$cena=550000;
if($ct['greenhouse']>=23)$cena=600000;
if($ct['greenhouse']>=24)$cena=6500000;
if($ct['greenhouse']>=25)$cena=7000000;
if($ct['greenhouse']>=26)$cena=7500000;
if($ct['greenhouse']>=27)$cena=8000000;
if($ct['greenhouse']>=28)$cena=8500000;
if($ct['greenhouse']>=29)$cena=9000000;
if($ct['greenhouse']>=30)$cena=9500000;
///////////////////////
if($ct['greenhouse']==30)$cena=10000000;
if($ct['greenhouse']==31)$cena= 20000000;
if($ct['greenhouse']==32)$cena= 30000000;
if($ct['greenhouse']==33)$cena= 35000000;
if($ct['greenhouse']==34)$cena= 40000000;
if($ct['greenhouse']==35)$cena= 50000000;
if($ct['greenhouse']==36)$cena= 55000000;
if($ct['greenhouse']==37)$cena= 60000000;
if($ct['greenhouse']==38)$cena= 75000000;
if($ct['greenhouse']==39)$cena= 100000000;

////////////////////////////////////
if($skidka==1)$cena=floor($cena/2);
if($ct['greenhouse']==0)$rating=7500000000;else $rating=0;
if(isset($mc) && $mc['id']==$ct['id'] && $mcu['status']==1 && $ct['greenhouse']<40)
{
if(isset($_GET['level']))
{



if(isset($_GET['ok'])){
if($ct['greenhouse']<30){
if($ct['rubies']>=$cena){ 
mysql_query("UPDATE `kolhoz_collective` SET `rubies` = '".($mc['rubies']-$cena)."',`rubies_cop` = '".($mc['rubies_cop']-$cena)."', `rating` = '".($mc['rating']+$rating)."',`greenhouse` = '".($mc['greenhouse']+1)."' WHERE `id` = '$mc[id]'");
header("Location:/collective-$ct[id]/buildings/greenhouse/".passgen());
}else{ 
no_rubies_ct($cena-$ct['rubies']);}}else{
if($ct['rubies']>=$cena){ 
mysql_query("UPDATE `kolhoz_collective` SET `rubies` = '".($mc['rubies']-$cena)."',`rating` = '".($mc['rating']+$rating)."',`greenhouse` = '".($mc['greenhouse']+1)."' WHERE `id` = '$mc[id]'");
header("Location:/collective-$ct[id]/buildings/greenhouse/".passgen());
}else{ 
no_rubies_ct($cena-$ct['rubies']);}}
}





$lrl = ($ct['greenhouse']+1);
require_header ("Подтверждение","ct_build","$ct[id]");
echo "<div class='content'><ul class='block'><li><span>".($ku['greenhouse']==0?"Покупка":"Прокачка")."</span>: <span><span class='epic'> Теплица</span>".($ct['greenhouse']>0?", повышение уровня до $lrl":null)."</span><br/><span>цена</span>: <span>".($ct['greenhouse']<30?"<img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span class='title'>$cena</span>":"<img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span class='title'>$cena</span>")."</span></li><li class='pt'><img alt='*' width='16' height='16' src='/images/icons/tick.png'> <a href='/collective-$ct[id]/buildings/greenhouse/level/ok'><span>Да, подтверждаю</span></a></li><li><img alt='*' width='16' height='16' src='/images/icons/cross.png'> <a href='/collective-$ct[id]/buildings/greenhouse'><span>Нет, отказываюсь</span></a></li></ul>";
include_once 'inc/foot.php';}

}
require_header ("Теплица","ct_build","$ct[id]");

echo '<div class="content">
<div class="block">
<div>
<span class="epic">Теплица</span> - защитное сооружение для вашей рассады.
Исходящее от солнца инфракрасное излучение подогревает растения и почву внутри теплицы. Нагретый воздух удерживается внутри сооружения, и ваши растения начинают приносить больше
урожая.
<div style="clear:both"></div>
<h3>Эффект</h3>
<div class="title">
Увеличивает урожай с грядок на (уровень * 20%).
</div>
</div>
<div class="title">При постройке увеличивает колхозный опыт на <span>7,5</span> млрд.</div>
<div style="clear:both;"></div>';
if(isset($mc) && $mc['id']==$ct['id'] && $mcu['status']==1)if($ct['greenhouse']<40)echo "<div><a href='/collective-$ct[id]/buildings/greenhouse/level'>".($ct['greenhouse']==0?"Купить":"Повысить уровень")."</a> <span class='minor'>(цена <span>".($ct['greenhouse']<30?"<img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span class='title'>$cena</span>":"<img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span class='title'>$cena</span>")."</span>)</span></div>";

if($ct['greenhouse']>0)echo '<div class="pt">
Текущий уровень: <span class="title">'.$ct['greenhouse'].'</span> / <span>40</span><br></div>';

echo '<div class="pt">
<img width="16" height="16" src="images/icons/guild.png" alt="*"> <a href="/collective-'.$ct['id'].'/buildings">Постройки</a>
</div>
</div>';
include_once 'inc/foot.php';
}

///////////////////////////////////////////////////Склад заготовок//////////////////////////////////////////////////////
if(isset($_GET['cellar']))
{
if($ct['cellar']==0)$cena=15000;
if($ct['cellar']>=1 && $ct['cellar']<=12)$cena=50000;
if($ct['cellar']>=13)$cena=100000;
if($ct['cellar']>=14)$cena=150000;
if($ct['cellar']>=15)$cena=200000;
if($ct['cellar']>=16)$cena=250000;
if($ct['cellar']>=17)$cena=300000;
if($ct['cellar']>=18)$cena=350000;
if($ct['cellar']>=19)$cena=400000;
if($ct['cellar']>=20)$cena=450000;
if($ct['cellar']>=21)$cena=500000;
if($ct['cellar']>=22)$cena=550000;
if($ct['cellar']>=23)$cena=600000;
if($ct['cellar']>=24)$cena=6500000;
if($ct['cellar']>=25)$cena=7000000;
if($ct['cellar']>=26)$cena=7500000;
if($ct['cellar']>=27)$cena=8000000;
if($ct['cellar']>=28)$cena=8500000;
if($ct['cellar']>=29)$cena=9000000;
if($ct['cellar']>=30)$cena=9500000;
///////////////////////
if($ct['cellar']==30)$cena=10000000;
if($ct['cellar']==31)$cena= 20000000;
if($ct['cellar']==32)$cena= 30000000;
if($ct['cellar']==33)$cena= 35000000;
if($ct['cellar']==34)$cena= 40000000;
if($ct['cellar']==35)$cena= 50000000;
if($ct['cellar']==36)$cena= 55000000;
if($ct['cellar']==37)$cena= 60000000;
if($ct['cellar']==38)$cena= 75000000;
if($ct['cellar']==39)$cena= 100000000;

////////////////////////////////////
if($skidka==1)$cena=floor($cena/2);
if($ct['cellar']==0)$rating=8000000000;else $rating=0;
if(isset($mc) && $mc['id']==$ct['id'] && $mcu['status']==1 && $ct['cellar']<40)
{
if(isset($_GET['level']))
{

if(isset($_GET['ok'])){
if($ct['cellar']<30){
if($ct['rubies']>=$cena){ 
mysql_query("UPDATE `kolhoz_collective` SET `rubies` = '".($mc['rubies']-$cena)."',`rubies_cop` = '".($mc['rubies_cop']-$cena)."', `rating` = '".($mc['rating']+$rating)."',`cellar` = '".($mc['cellar']+1)."' WHERE `id` = '$mc[id]'");
header("Location:/collective-$ct[id]/buildings/cellar/".passgen());
}else{ 
no_rubies_ct($cena-$ct['rubies']);}}else{
if($ct['rubies']>=$cena){ 
mysql_query("UPDATE `kolhoz_collective` SET `rubies` = '".($mc['rubies']-$cena)."',`rating` = '".($mc['rating']+$rating)."',`cellar` = '".($mc['cellar']+1)."' WHERE `id` = '$mc[id]'");
header("Location:/collective-$ct[id]/buildings/cellar/".passgen());
}else{ 
no_rubies_ct($cena-$ct['rubies']);}}
}




$lrl = ($ct['cellar']+1);
require_header ("Подтверждение","ct_build","$ct[id]");
echo "<div class='content'><ul class='block'><li><span>".($ku['cellar']==0?"Покупка":"Прокачка")."</span>: <span><span class='epic'> Склад заготовок</span>".($ct['cellar']>0?", повышение уровня до $lrl":null)."</span><br/><span>цена</span>: <span>".($ct['cellar']<30?"<img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span class='title'>$cena</span>":"<img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span class='title'>$cena</span>")."</span></li><li class='pt'><img alt='*' width='16' height='16' src='/images/icons/tick.png'> <a href='/collective-$ct[id]/buildings/cellar/level/ok'><span>Да, подтверждаю</span></a></li><li><img alt='*' width='16' height='16' src='/images/icons/cross.png'> <a href='/collective-$ct[id]/buildings/cellar'><span>Нет, отказываюсь</span></a></li></ul>";
include_once 'inc/foot.php';}

}
require_header ("Склад заготовок","ct_build","$ct[id]");

echo '<div class="content">
<div class="block">
<div>
<span class="epic">Склад заготовок</span> - улучшенное сооружение для погреба.
Благодаря усовершенствованной технологии, позволяет увеличить количество урожая в погребе.
<div style="clear:both"></div>
<h3>Эффект</h3>
<div class="title">
С 1 по 5 уровень увеличивает урожай с погреба на 100%<br/>
С 6 по 12 уровень , процент увеличения = (уровень*20)<br/>
Таким образом, использование Склада 20 уровня увеличит кол-во урожая на 400%
</div>
</div>
<div class="title">При постройке увеличивает колхозный опыт на <span>8</span> млрд.</div>
<div style="clear:both;"></div>';
if(isset($mc) && $mc['id']==$ct['id'] && $mcu['status']==1)if($ct['cellar']<40)echo "<div><a href='/collective-$ct[id]/buildings/cellar/level'>".($ct['cellar']==0?"Купить":"Повысить уровень")."</a> <span class='minor'>(цена <span>".($ct['cellar']<30?"<img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span class='title'>$cena</span>":"<img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span class='title'>$cena</span>")."</span>)</span></div>";

if($ct['cellar']>0)echo '<div class="pt">
Текущий уровень: <span class="title">'.$ct['cellar'].'</span> / <span>40</span><br></div>';

echo '<div class="pt">
<img width="16" height="16" src="images/icons/guild.png" alt="*"> <a href="/collective-'.$ct['id'].'/buildings">Постройки</a>
</div>
</div>';
include_once 'inc/foot.php';
}
$array_buildings=array('soil/Склад удобрений' => $ct['soil'], 'irrigate/Оросительная система' => $ct['irrigate'], 'school/Школа' => $ct['school'], 'vet/Ветеринарная клиника' => $ct['vet'], 'bank/Банк' => $ct['bank'], 'lib/Библиотека' => $ct['lib'], 'greenhouse/Теплица' => $ct['greenhouse'], 'cellar/Склад заготовок' => $ct['cellar']);
echo "<div class='event'><h1><a href='/collective-$ct[id]'>".hsc($ct['name'])."</a> / Постройки</h1></div>";
echo '<div class="content">
<div class="block">
<ul>';
foreach($array_buildings AS $key => $value)
{
$post=explode('/',$key);
echo "<li><img width='16' height='16' src='images/icons/guild.png' alt='-'> <a href='/collective-$ct[id]/buildings/$post[0]' class='".($value!=0?'epic':'minor')."'>$post[1]</a> ".($value!=0 && $post[0]!='lib'?"(<span class='title'>$value</span>)":null)."</li>";
}
echo '</ul>
</div>';
include_once 'inc/foot.php';
?>